# Uses of Class
org.jmol.viewer.JmolAsyncException

Packages that use JmolAsyncException
Package
Description
org.jmol.minimize
org.jmol.minimize.forcefield
org.jmol.modelset
org.jmol.viewer

## Uses of JmolAsyncException in org.jmol.minimize

Methods in org.jmol.minimize that throw JmolAsyncException
Modifier and Type
Method
Description
`void`
Minimizer.`calculatePartialCharges(ModelSet ms, BS bsAtoms, BS bsReport)`
`ForceField`
Minimizer.`getForceField(String ff)`
////////////////////////// minimize //////////////////////
`boolean`
Minimizer.`minimize(int steps, double crit, BS bsSelected, BS bsFixed, BS bsBasis, int flags, String ff)`

## Uses of JmolAsyncException in org.jmol.minimize.forcefield

Methods in org.jmol.minimize.forcefield that throw JmolAsyncException
Modifier and Type
Method
Description
`protected Map<Object,Object>`
ForceFieldMMFF.`getParameters(boolean isQuick)`
`abstract boolean`
ForceField.`setModel(BS bsElements, int elemnoMax)`
`boolean`
ForceFieldUFF.`setModel(BS bsElements, int elemnoMax)`
Constructors in org.jmol.minimize.forcefield that throw JmolAsyncException
Modifier
Constructor
Description
``
`ForceFieldMMFF(Minimizer m, boolean isQuick)`

## Uses of JmolAsyncException in org.jmol.modelset

Methods in org.jmol.modelset that throw JmolAsyncException
Modifier and Type
Method
Description
`V3`
ModelSet.`calculateMolecularDipole(int modelIndex, BS bsAtoms)`

## Uses of JmolAsyncException in org.jmol.viewer

Methods in org.jmol.viewer that throw JmolAsyncException
Modifier and Type
Method
Description
`void`
Viewer.`calculatePartialCharges(BS bsSelected)`
`float[]`
Viewer.`getOrCalcPartialCharges(BS bsSelected, BS bsIgnore)`